security:
    role_hierarchy:
        ROLE_EVENTS:
          - ROLE_EVENTS_VIEW

        ROLE_EVENTS_VIEW:
          - ROLE_EVENT-GENDER_VIEW
          - ROLE_CATEGORIES_VIEW
          - ROLE_EVENT_ACTION
          - ROLE_EVENT_REFERENCE

        ROLE_EVENT_ACTION:
          - ROLE_RULERZ_ACTION

        ROLE_EVENT_REFERENCE:
          - ROLE_ACCESS_REFERENCE

        ROLE_COURSES:
          - ROLE_COURSES_VIEW
          - ROLE_EDUCATIONSTUDENT_VIEW
          - ROLE_COURSE_ACTION
          - ROLE_ORGANIZATION_VIEW

        ROLE_COURSE_ACTION:
          - ROLE_PRESENCE-COURSE_EXPORT

        ROLE_COURSES_VIEW:
          - ROLE_COURSE_REFERENCE

        ROLE_COURSES-TEACHER:
          - ROLE_COURSE_REFERENCE

        ROLE_COURSE_REFERENCE:
          - ROLE_EDUCATION_REFERENCE
          - ROLE_PLACE_REFERENCE
          - ROLE_ROOM_REFERENCE
          - ROLE_EDUCATION-CURRIRULUM_REFERENCE
          - ROLE_ACCESS_REFERENCE
          - ROLE_EQUIPMENT_REFERENCE

        ROLE_EXAMENS:
          - ROLE_EXAMENS_VIEW
          - ROLE_EXAMEN_REFERENCE
          - ROLE_PRESENCE-EXAMEN_EXPORT

        ROLE_EXAMENS_VIEW:
          - ROLE_COURSE_REFERENCE

        ROLE_EXAMEN_REFERENCE:
          - ROLE_EDUCATION_REFERENCE
          - ROLE_PLACE_REFERENCE
          - ROLE_ROOM_REFERENCE
          - ROLE_EDUCATION-CURRIRULUM_REFERENCE
          - ROLE_EDUCATION_REFERENCE
          - ROLE_ACCESS_REFERENCE
          - ROLE_EQUIPMENT_REFERENCE

        ROLE_EDUCATIONALPROJECTS:
          - ROLE_EDUCATIONALPROJECTS_VIEW
          - ROLE_ROADMAP_EXPORT

        ROLE_EDUCATIONALPROJECTS_VIEW:
          - ROLE_EDUCATIONAL-PROJECT_REFERENCE

        ROLE_EDUCATIONAL-PROJECT_REFERENCE:
          - ROLE_ACCESS_REFERENCE
          - ROLE_PLACE_REFERENCE
          - ROLE_ROOM_REFERENCE
          - ROLE_EQUIPMENT_REFERENCE

        ROLE_ATTENDANCES:
          - ROLE_ATTENDANCES_VIEW
          - ROLE_ORGANIZATION-FUNCTION_VIEW
          - ROLE_PRESENCE-COURSE_EXPORT

        ROLE_ATTENDANCES_VIEW:
          - ROLE_ACCESS_REFERENCE